For the complete documentation index, see llms.txt. This page is also available as Markdown.

Alert Type Configs

Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform.

Get alert type config by id

get
/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
Path parameters
config_keystringRequired

Alert type config key

organisation_idinteger · int64Required

Organisation owning the alerts

alert_typestring · enumRequired

The type of the alerts

Possible values:
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
GET /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "last_modified_ts": 0,
    "organisation_id": "text",
    "config_value": "text",
    "archived": false,
    "alert_type": "SEGMENT_VOLUME_DROP",
    "created_ts": 0,
    "last_modified_by": "text",
    "created_by": "text",
    "config_key": "text"
  }
}

Create an alert type config

post
/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
Path parameters
config_keystringRequired

Alert type config key

organisation_idinteger · int64Required

Organisation owning the alerts

alert_typestring · enumRequired

The type of the alerts

Possible values:
Body
last_modified_tsinteger · int64Read-onlyOptionalDefault: 0
organisation_idstringRead-onlyRequired
config_valuestringRequired
archivedbooleanRequiredDefault: false
alert_typestring · enumRequiredPossible values:
created_tsinteger · int64Read-onlyRequiredDefault: 0
last_modified_bystringRead-onlyOptional
created_bystringRead-onlyRequired
config_keystringRead-onlyRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
post/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
POST /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "config_value": "text",
  "archived": false,
  "alert_type": "SEGMENT_VOLUME_DROP"
}
{
  "status": "ok",
  "data": {
    "last_modified_ts": 0,
    "organisation_id": "text",
    "config_value": "text",
    "archived": false,
    "alert_type": "SEGMENT_VOLUME_DROP",
    "created_ts": 0,
    "last_modified_by": "text",
    "created_by": "text",
    "config_key": "text"
  }
}

Update an alert type config

put
/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
Path parameters
config_keystringRequired

Alert type config key

organisation_idinteger · int64Required

Organisation owning the alerts

alert_typestring · enumRequired

The type of the alerts

Possible values:
Body
last_modified_tsinteger · int64Read-onlyOptionalDefault: 0
organisation_idstringRead-onlyRequired
config_valuestringRequired
archivedbooleanRequiredDefault: false
alert_typestring · enumRequiredPossible values:
created_tsinteger · int64Read-onlyRequiredDefault: 0
last_modified_bystringRead-onlyOptional
created_bystringRead-onlyRequired
config_keystringRead-onlyRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
put/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
PUT /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "config_value": "text",
  "archived": false,
  "alert_type": "SEGMENT_VOLUME_DROP"
}
{
  "status": "ok",
  "data": {
    "last_modified_ts": 0,
    "organisation_id": "text",
    "config_value": "text",
    "archived": false,
    "alert_type": "SEGMENT_VOLUME_DROP",
    "created_ts": 0,
    "last_modified_by": "text",
    "created_by": "text",
    "config_key": "text"
  }
}

Delete an alert type config

delete
/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
Path parameters
config_keystringRequired

Alert type config key

organisation_idinteger · int64Required

Organisation owning the alerts

alert_typestring · enumRequired

The type of the alerts

Possible values:
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}
DELETE /v1/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Find alert type configs

get
/alert_type_configs
Query parameters
config_keystringOptional

Alert type config key

organisation_idinteger · int64Required

Organisation owning the alerts

alert_typestring · enumOptional

The type of the alerts

Possible values:
config_valuestringOptional

The value of the config

archivedbooleanOptional

If true the result will contain only archived alerts

first_resultinteger · int32Optional

Offset from which the search must be performed

max_resultsinteger · int32Optional

Number of maximum items that shall be return by this search

Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
countintegerRequired
totalintegerRequired
first_resultintegerRequired
max_resultsintegerRequired
get/alert_type_configs
GET /v1/alert_type_configs?organisation_id=1 HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": [
    {
      "last_modified_ts": 0,
      "organisation_id": "text",
      "config_value": "text",
      "archived": false,
      "alert_type": "SEGMENT_VOLUME_DROP",
      "created_ts": 0,
      "last_modified_by": "text",
      "created_by": "text",
      "config_key": "text"
    }
  ],
  "count": 1,
  "total": 1,
  "first_result": 1,
  "max_results": 1
}

Last updated

Was this helpful?